aboutsummaryrefslogtreecommitdiff
path: root/bin/netfileget
diff options
context:
space:
mode:
authorrsc <devnull@localhost>2005-03-18 19:27:03 +0000
committerrsc <devnull@localhost>2005-03-18 19:27:03 +0000
commit80f72cbedc7c0b60d2172ed83279585ad6079247 (patch)
tree0a9f067b08c93d74c90b8fbbca8e218ae5b40fab /bin/netfileget
parent3a6f92eed18aa29c7f5f2e150c0fb81adaa3a6bf (diff)
downloadplan9port-80f72cbedc7c0b60d2172ed83279585ad6079247.tar.gz
plan9port-80f72cbedc7c0b60d2172ed83279585ad6079247.tar.bz2
plan9port-80f72cbedc7c0b60d2172ed83279585ad6079247.zip
handle 9p servers
Diffstat (limited to 'bin/netfileget')
-rwxr-xr-xbin/netfileget13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/netfileget b/bin/netfileget
index 1b39f0f3..c621482d 100755
--- a/bin/netfileget
+++ b/bin/netfileget
@@ -11,6 +11,10 @@ if(! ~ $#* 2){
exit usage
}
+ns=`{namespace}
+if(u test -S $ns/$1)
+ f=$f^9p
+
t=/tmp/netget.$pid.$USER
fn sigexit { rm -f $t }
@@ -21,12 +25,21 @@ fn getfile {
cat $t
}
+fn getfile9p {
+ if(! 9p read $1/$2)
+ exit 1
+}
+
fn getdir {
if(! {echo cd $2; echo ls -l} | sftp -b - $1 | sed '1,2d; s/sftp> //g; /^$/d' >$t)
exit 1
cat $t | awk '$NF == "." || $NF == ".." { next } {s = $NF; if($0 ~ /^d/) s = s "/"; print s}'
}
+fn getdir9p {
+ 9p ls -l $1/$2 | awk '{s=$NF; if($0 ~ /^d/) s=s"/"; print s}'
+}
+
$f $1 $2
exit 0